/*
#
#   radioDASH Client CSS
#
#       Ⓒ2020 Joe Cupano, NE2Z
#
#       RELEASE: 20201224-2100
#       LICENSE: GPLv2
#
#
*/


/*
 -
 - Index Module CSS   20201224-2300
 - 
*/

/* ------- grid container ------- */

.grid-container {
  display: grid;
  width: 948px;
 // width: 96%;
  margin: 0 auto; /* Añadido para centrar el contenedor */
  grid-template-areas:
  'tuner-container rx-container'
  'radio-controls-container rx-container'
  'cmd-controls-container rx-container'
  'msg-controls-container tx-container';
  grid-gap: 16px;
  background-color: black;
  border-radius: 12px;
  padding: 16px;
}

.tuner-container {
  grid-area: tuner-container;
  width: 256px;
  grid-gap: 16px;
  background-color: black;
  border-radius: 12px;
  padding: 8px;
}

.radio-controls-container {
  grid-area: radio-controls-container;
  width: 256px;
  grid-gap: 8px;
  background-color: black;
  border-radius: 12px;
  padding: 8px;
}

.cmd-controls-container {
  grid-area: cmd-controls-container;
  width: 256px;
  grid-gap: 8px;
  background-color: black;
  border-radius: 12px;
  padding: 8px;
}

.msg-controls-container {
  grid-area: msg-controls-container;
  width: 256px;
  grid-gap: 8px;
  background-color: black;
  border-radius: 12px;
  padding: 8px;
}

.rx-container {
  grid-area: rx-container;
  width: 692px;
  grid-template-columns: auto;
  grid-gap: 16px;
  background-color: black;
  border-radius: 12px;
  padding: 16px;
}

.tx-container {
  grid-area: tx-container;
  width: 692px;
  margin: 0 auto; /* Añadido para centrar el contenedor */
  grid-template-columns: auto;
  grid-gap: 16px;
  background-color: black;
  border-radius: 12px;
  padding: 16px;
}

/*
 -
 - Tuner Container CSS   20201224-2300
 - 
*/

.tuner-container {
  display: block;
  width: 240px;
  height: 240px;
  padding: 16px 10px 18px;
  font: bold 15px/28px Arial, Helvetica, sans-serif;
  border-radius: 12px;
  box-shadow: inset 0px -38px 5px rgba(0, 0, 0, 0.8),
    inset 0px 6px 4px rgba(255, 255, 255, 0.25),
    inset 0px 2px 1px rgba(255, 255, 255, 0.25),
    inset 3px 0px 3px rgba(255, 255, 255, 0.25),
    inset -4px 0px 4px rgba(0, 0, 0, 0.75);
  background: #141414;                                                                                               /* Old browsers */
  background: -moz-linear-gradient(top, #141414 45%, #282828 80%);                                                 /* FF3.6+ */
  background: -webkit-gradient(linear, left top, left bottom, color-stop(45%, #141414), color-stop(80%, #282828)); /* Chrome,Safari4+ */
  background: -webkit-linear-gradient(top,#141414 45%,#282828 80%);                                                /* Chrome10+,Safari5.1+ */
  background: -o-linear-gradient(top,#141414 45%,#282828 80%);                                                     /* Opera 11.10+ */
  background: -ms-linear-gradient(top, #141414 45%, #282828 80%);                                                  /* IE10+ */
  background: linear-gradient(to bottom, #141414 45%, #282828 80%);                                                /* W3C */
}

.tuner-container:after {
  content: "";
  display: block;
  clear: both;
}

/* --------- tuner display --------- */

.tuner-display {
  position: relative;
  height: 60px;
  margin: 0 5px 6px 5px;
  padding: 0 8px;
  border-radius: 5px;
  box-shadow: inset 0 30px 1px rgba(255, 255, 255, 0.25),
    inset 0 -1px 2px rgba(255, 255, 255, 0.5),
    inset 0 2px 3px rgba(0, 0, 0, 0.4);
  font-size: 45px;
  line-height: 61px;
  text-align: center;
  white-space: nowrap;
  color: #333;
  cursor: default;
  text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.01);                                                                          /* for smoother rendering */
  background: #edefe0;                                                                                                /* Old browsers */
  background: -moz-linear-gradient(top, #edefe0 45%, #babea2 80%);                                                  /* FF3.6+ */
  background: -webkit-gradient(linear, left top, left bottom, color-stop(45%, #edefe0), color-stop(80%, #babea2));  /* Chrome,Safari4+ */
  background: -webkit-linear-gradient(top,#edefe0 45%,#babea2 80%);                                                 /* Chrome10+,Safari5.1+ */
  background: -o-linear-gradient(top,#edefe0 45%,#babea2 80%);                                                      /* Opera 11.10+ */
  background: -ms-linear-gradient(top, #edefe0 45%, #babea2 80%);                                                   /* IE10+ */
  background: linear-gradient(to bottom, #edefe0 45%, #babea2 80%);                                                 /* W3C */
  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#edefe0', endColorstr='#babea2',GradientType=0 );  /* IE6-9 */
}
.tuner-display-khz {
  position: absolute;
  bottom: 1px;
  font-size: 14px;
  line-height: 14px;
  right: 11px;
}

/* -------- tuner numpad -------- */

.tuner-numpad {
  position: relative;
  float: left;
  width: 240px;
}

/* -------- tuner buttons -------- */

.tuner-numpad > div {
  margin: 5px 4px;
  position: relative;
  width: 50px;
  height: 28px;
  background-color: #4c5356;
  border: 1px solid black;
  box-shadow: 0 1px rgba(255, 255, 255, 0.1);
  border-radius: 6px;
  overflow: hidden;
  float: left;
  cursor: default;
}
.tuner-numpad > div > div {
  position: absolute;
  top: 0px;
  right: 0px;
  height: 28px;
  left: 0px;
  width: 100%;
  border: 1px solid #000;
  border-radius: 6px;
  color: #eee;
  text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.5);
  text-align: center;
  background: #656e72;

  border-top-left-radius: 6px;
  border-top-right-radius: 6px;
  border-bottom-left-radius: 26px 6px;
  border-bottom-right-radius: 26px 6px;
  box-shadow: inset 0 -15px 1px rgba(0, 0, 0, 0.25),
    inset 0 1px 1px rgba(255, 255, 255, 0.4),
    inset 0 6px 6px rgba(255, 255, 255, 0.25);
  border: none;
}

.tuner-numpad > div > div:hover {
  text-shadow: 0px 0px 8px rgb(255, 230, 186), 0px 0px 22px rgb(255, 255, 255),
    0px -1px 0px rgba(0, 0, 0, 0.5);
}

.tuner-numpad .numpad-btn-exec {
  height: 68px;
  position: absolute;
  bottom: 0;
  right: 0;
  background-color: #ea6811;
}

.numpad-down {
  padding-top: 40px;
}

.tuner-display-khzxy sup {
  padding-bottom: 4px;
  display: block;
  position: absolute;
  left: 14px;
  top: 6px;
}

.tuner-display-khzxy em {
  font-weight: normal;
  font-size: 16px;
  padding-right: 2px;
}

.tuner-numpad .numpad-btn-zero {
  width: 110px;
}

.tuner-numpad .numpad-btn-zero div {
  text-align: left;
}

.tuner-numpad .numpad-btn-zero span {
  padding-left: 22px;
}

.numpad-btn-blank {
  border-color: transparent;
  background: none;
  background-image: none;
  box-shadow: none;
  clear: right;
}

.tuner-numpad .numpad-btn-brown > div {
  background-color: #635045;
}

.tuner-numpad .numpad-btn-brown {
  background-color: #4b3c34;
}

.tuner-numpad .numpad-btn-black > div {
  background-color: #000;
  box-shadow: inset 0 -13px 1px rgba(50, 50, 50, 0.5),
    inset 0 1px 1px rgba(255, 255, 255, 0.25),
    inset 0 8px 6px rgba(255, 255, 255, 0.2);
}

.tuner-numpad .numpad-btn-black {
  background-color: #181818;
}

.tuner-numpad .numpad-btn-orange > div {
  background-color: #ff7113;
  box-shadow: inset 0 -13px 1px rgba(148, 77, 18, 0.2),
    inset 0 7px 6px rgba(255, 255, 255, 0.3),
    inset 0 6px 6px rgba(255, 255, 255, 0.1);
}

.tuner-numpad > div:active,
.tuner-numpad .numpad-press {
  box-shadow: inset 0 -9px 6px rgba(255, 255, 255, 0.35),
    0 1px rgba(255, 255, 255, 0.15);
}

.tuner-numpad > div:active > div,
.tuner-numpad .numpad-press > div {
  background: none;
  box-shadow: inset 0 1px 1px rgba(255, 255, 255, 0.3);
}

.tuner-numpad .numpad-active {
  box-shadow: 1px 1px rgb(220, 220, 240), -1px -1px rgb(220, 220, 240),
    1px -1px rgb(220, 220, 240), -1px 1px rgb(220, 220, 240),
    2px 2px 2px rgb(220, 220, 240), -2px -2px 2px rgb(220, 220, 240),
    2px -2px 2px rgb(220, 220, 240), -2px 2px 2px rgb(220, 220, 240);
  border-color: #333;
}


/*
 -
 - Buttons CSS   20201224-2300
 - 
 - Used by radio-controls-container, cmd-controls-container, and msg-controls-container
 -
*/

.keypad-btn-exec {
  height: 68px;
  position: absolute;
  bottom: 0;
  right: 0;
  background-color: #ea6811;
}

.keypad-btn-blank {
  border-color: transparent;
  background: none;
  background-image: none;
  box-shadow: none;
  clear: right;
}
.keypad-btn-brown > div {
  background-color: #635045;
}

.keypad-btn-black {
  background-color: #000;
  box-shadow: inset 0 -13px 1px rgba(50, 50, 50, 0.5),
    inset 0 1px 1px rgba(255, 255, 255, 0.25),
    inset 0 8px 6px rgba(255, 255, 255, 0.2);
}

.keypad-btn-black {
  background-color: #181818;
}

.keypad-btn-orange {
  background-color: #ff7113;
  box-shadow: inset 0 -13px 1px rgba(148, 77, 18, 0.2),
    inset 0 7px 6px rgba(255, 255, 255, 0.3),
    inset 0 6px 6px rgba(255, 255, 255, 0.1);
}

/*
 -
 - Controls CSS   20201224-2300
 - 
 - Used by radio-controls-container, cmd-controls-container, and msg-controls-container
 -
*/

.controls-container {
  display: block;
  width: 240px; /* only needed in Chrome extension */
  height: 80px;
  padding: 16px 10px 18px;
  font: bold 15px/28px Arial, Helvetica, sans-serif;
  border-radius: 12px;
  box-shadow: inset 0px -38px 5px rgba(0, 0, 0, 0.8),
    inset 0px 6px 4px rgba(255, 255, 255, 0.25),
    inset 0px 2px 1px rgba(255, 255, 255, 0.25),
    inset 3px 0px 3px rgba(255, 255, 255, 0.25),
    inset -4px 0px 4px rgba(0, 0, 0, 0.75);
  background: #141414; /* Old browsers */
  background: -moz-linear-gradient(top, #141414 45%, #282828 80%);                                                   /* FF3.6+ */
  background: -webkit-gradient(linear, left top, left bottom, color-stop(45%, #141414), color-stop(80%, #282828));   /* Chrome,Safari4+ */
  background: -webkit-linear-gradient(top,#141414 45%,#282828 80%);                                                  /* Chrome10+,Safari5.1+ */
  background: -o-linear-gradient(top,#141414 45%,#282828 80%);                                                       /* Opera 11.10+ */
  background: -ms-linear-gradient(top, #141414 45%, #282828 80%);                                                    /* IE10+ */
  background: linear-gradient(to bottom, #141414 45%, #282828 80%);                                                  /* W3C */
}

.controls-container:after {
  content: "";
  display: block;
  clear: both;
}

.radio-controls-container {
  display: block;
  width: 240px; /* only needed in Chrome extension */
  height: 40px;
  padding: 10px 10px 10px;
  font: bold 15px/28px Arial, Helvetica, sans-serif;
  border-radius: 12px;
  box-shadow: inset 0px -38px 5px rgba(0, 0, 0, 0.8),
    inset 0px 6px 4px rgba(255, 255, 255, 0.25),
    inset 0px 2px 1px rgba(255, 255, 255, 0.25),
    inset 3px 0px 3px rgba(255, 255, 255, 0.25),
    inset -4px 0px 4px rgba(0, 0, 0, 0.75);
  background: #141414; /* Old browsers */
  background: -moz-linear-gradient(top, #141414 45%, #282828 80%);                                                   /* FF3.6+ */
  background: -webkit-gradient(linear, left top, left bottom, color-stop(45%, #141414), color-stop(80%, #282828));   /* Chrome,Safari4+ */
  background: -webkit-linear-gradient(top,#141414 45%,#282828 80%);                                                  /* Chrome10+,Safari5.1+ */
  background: -o-linear-gradient(top,#141414 45%,#282828 80%);                                                       /* Opera 11.10+ */
  background: -ms-linear-gradient(top, #141414 45%, #282828 80%);                                                    /* IE10+ */
  background: linear-gradient(to bottom, #141414 45%, #282828 80%);                                                  /* W3C */
}

.radio-controls-container:after {
  content: "";
  display: block;
  clear: both;
}

.cmd-controls-container {
  display: block;
  width: 240px; /* only needed in Chrome extension */
  height: 80px;
  padding: 10px 10px 10px;
  font: bold 15px/28px Arial, Helvetica, sans-serif;
  border-radius: 12px;
  box-shadow: inset 0px -38px 5px rgba(0, 0, 0, 0.8),
    inset 0px 6px 4px rgba(255, 255, 255, 0.25),
    inset 0px 2px 1px rgba(255, 255, 255, 0.25),
    inset 3px 0px 3px rgba(255, 255, 255, 0.25),
    inset -4px 0px 4px rgba(0, 0, 0, 0.75);
  background: #141414; /* Old browsers */
  background: -moz-linear-gradient(top, #141414 45%, #282828 80%);                                                   /* FF3.6+ */
  background: -webkit-gradient(linear, left top, left bottom, color-stop(45%, #141414), color-stop(80%, #282828));   /* Chrome,Safari4+ */
  background: -webkit-linear-gradient(top,#141414 45%,#282828 80%);                                                  /* Chrome10+,Safari5.1+ */
  background: -o-linear-gradient(top,#141414 45%,#282828 80%);                                                       /* Opera 11.10+ */
  background: -ms-linear-gradient(top, #141414 45%, #282828 80%);                                                    /* IE10+ */
  background: linear-gradient(to bottom, #141414 45%, #282828 80%);                                                  /* W3C */
}
.cmd-controls-container:after {
  content: "";
  display: block;
  clear: both;
}

.msg-controls-container {
  display: block;
  width: 240px; /* only needed in Chrome extension */
  height: 80px;
  padding: 10px 10px 10px;
  font: bold 15px/28px Arial, Helvetica, sans-serif;
  border-radius: 12px;
  box-shadow: inset 0px -38px 5px rgba(0, 0, 0, 0.8),
    inset 0px 6px 4px rgba(255, 255, 255, 0.25),
    inset 0px 2px 1px rgba(255, 255, 255, 0.25),
    inset 3px 0px 3px rgba(255, 255, 255, 0.25),
    inset -4px 0px 4px rgba(0, 0, 0, 0.75);
  background: #141414; /* Old browsers */
  background: -moz-linear-gradient(top, #141414 45%, #282828 80%);                                                   /* FF3.6+ */
  background: -webkit-gradient(linear, left top, left bottom, color-stop(45%, #141414), color-stop(80%, #282828));   /* Chrome,Safari4+ */
  background: -webkit-linear-gradient(top,#141414 45%,#282828 80%);                                                  /* Chrome10+,Safari5.1+ */
  background: -o-linear-gradient(top,#141414 45%,#282828 80%);                                                       /* Opera 11.10+ */
  background: -ms-linear-gradient(top, #141414 45%, #282828 80%);                                                    /* IE10+ */
  background: linear-gradient(to bottom, #141414 45%, #282828 80%);                                                  /* W3C */
}

.msg-controls-container:after {
  content: "";
  display: block;
  clear: both;
}


/* -------- controls panel -------- */

.controls-keypad {
  position: relative;
  float: left;
  width: 240px;
}

/* -------- controls buttons -------- */

.controls-keypad > div {
  margin: 5px 4px;
  position: relative;
  width: 50px;
  height: 28px;
  background-color: #4c5356;
  border: 1px solid black;
  box-shadow: 0 1px rgba(255, 255, 255, 0.1);
  border-radius: 6px;
  overflow: hidden;
  float: left;
  cursor: default;
}

.controls-keypad > div > div {
  position: absolute;
  top: 0px;
  right: 0px;
  height: 28px;
  left: 0px;
  width: 100%;
  border: 1px solid #000;
  border-radius: 6px;
  color: #eee;
  text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.5);
  text-align: center;
  background: #656e72;
  border-top-left-radius: 6px;
  border-top-right-radius: 6px;
  border-bottom-left-radius: 26px 6px;
  border-bottom-right-radius: 26px 6px;
  box-shadow: inset 0 -15px 1px rgba(0, 0, 0, 0.25),
    inset 0 1px 1px rgba(255, 255, 255, 0.4),
    inset 0 6px 6px rgba(255, 255, 255, 0.25);
  border: none;
}

.controls-keypad > div > div:hover {
  text-shadow: 0px 0px 8px rgb(255, 230, 186), 0px 0px 22px rgb(255, 255, 255),
    0px -1px 0px rgba(0, 0, 0, 0.5);
}

.controls-keypad .keypad-btn-exec {
  height: 68px;
  position: absolute;
  bottom: 0;
  right: 0;
  background-color: #ea6811;
}

.keypad-btn-blank {
  border-color: transparent;
  background: none;
  background-image: none;
  box-shadow: none;
  clear: right;
}

.controls-keypad .keypad-btn-brown > div {
  background-color: #635045;
}

.controls-keypad .keypad-btn-black > div {
  background-color: #000;
  box-shadow: inset 0 -13px 1px rgba(50, 50, 50, 0.5),
    inset 0 1px 1px rgba(255, 255, 255, 0.25),
    inset 0 8px 6px rgba(255, 255, 255, 0.2);
}

.controls-keypad .keypad-btn-black {
  background-color: #181818;
}

.controls-keypad .keypad-btn-orange > div {
  background-color: #ff7113;
  box-shadow: inset 0 -13px 1px rgba(148, 77, 18, 0.2),
    inset 0 7px 6px rgba(255, 255, 255, 0.3),
    inset 0 6px 6px rgba(255, 255, 255, 0.1);
}

.controls-keypad > div:active,
.controls-keypad {
  box-shadow: inset 0 -9px 6px rgba(255, 255, 255, 0.35),
    0 1px rgba(255, 255, 255, 0.15);
}

.controls-keypad > div:active > div,
.controls-keypad {
  background: none;
  box-shadow: inset 0 1px 1px rgba(255, 255, 255, 0.3);
}

.controls-keypad {
  box-shadow: 1px 1px rgb(220, 220, 240), -1px -1px rgb(220, 220, 240),
    1px -1px rgb(220, 220, 240), -1px 1px rgb(220, 220, 240),
    2px 2px 2px rgb(220, 220, 240), -2px -2px 2px rgb(220, 220, 240),
    2px -2px 2px rgb(220, 220, 240), -2px 2px 2px rgb(220, 220, 240);
  border-color: #333;
}


/*
 -
 - RX Container CSS   20201224-2300
 - 
*/

.rx-container {
  display: block;
  width: 664px; /* only needed in Chrome extension */
  height: 484px;
  padding: 16px 10px 18px;
  font: bold 15px/28px Arial, Helvetica, sans-serif;
  border-radius: 12px;
  box-shadow: inset 0px -38px 5px rgba(0, 0, 0, 0.8),
    inset 0px 6px 4px rgba(255, 255, 255, 0.25),
    inset 0px 2px 1px rgba(255, 255, 255, 0.25),
    inset 3px 0px 3px rgba(255, 255, 255, 0.25),
    inset -4px 0px 4px rgba(0, 0, 0, 0.75);
  background: #141414; /* Old browsers */
  background: -moz-linear-gradient(top, #141414 45%, #282828 80%); /* FF3.6+ */
  background: -webkit-gradient(
    linear,
    left top,
    left bottom,
    color-stop(45%, #141414),
    color-stop(80%, #282828)
  ); /* Chrome,Safari4+ */
  background: -webkit-linear-gradient(
    top,
    #141414 45%,
    #282828 80%
  ); /* Chrome10+,Safari5.1+ */
  background: -o-linear-gradient(
    top,
    #141414 45%,
    #282828 80%
  ); /* Opera 11.10+ */
  background: -ms-linear-gradient(top, #141414 45%, #282828 80%); /* IE10+ */
  background: linear-gradient(to bottom, #141414 45%, #282828 80%); /* W3C */
  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#141414', endColorstr='#282828',GradientType=0 ); /* IE6-9 */
}

.rx-container:after {
  content: "";
  display: block;
  clear: both;
}

/* -------- term window -------- */

.rx-window {
  background-color: black;
  background-image: radial-gradient(rgba(0, 150, 0, 0.75), black 120%);
  height: 480px;
  width: 660px;
 overflow-y: scroll;
  padding: 2px;
  color: white;
  font: 14px Inconsolata, monospace;
  text-shadow: 0 0 5px #c8c8c8;
  &::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 600px;
    height: 320px;
    background: repeating-linear-gradient(
      0deg,
      rgba(black, 0.15),
      rgba(black, 0.15) 1px,
      transparent 1px,
      transparent 2px
    );
    pointer-events: none;
  }
}

.rx-window-pre {
  margin: 0;
}


/*
 -
 - TX Container CSS   20201224-2300
 - 
*/

.tx-container {
  display: block;
  //width: 664px;
  width: 964px;
  height: 84px;
  padding: 16px 10px 18px;
  font: bold 15px/28px Arial, Helvetica, sans-serif;
  border-radius: 12px;
  box-shadow: inset 0px -38px 5px rgba(0, 0, 0, 0.8),
    inset 0px 6px 4px rgba(255, 255, 255, 0.25),
    inset 0px 2px 1px rgba(255, 255, 255, 0.25),
    inset 3px 0px 3px rgba(255, 255, 255, 0.25),
    inset -4px 0px 4px rgba(0, 0, 0, 0.75);
  background: #141414;                                               /* Old browsers */
  background: -moz-linear-gradient(top, #141414 45%, #282828 80%); /* FF3.6+ */
  background: -webkit-gradient(
    linear,
    left top,
    left bottom,
    color-stop(45%, #141414),
    color-stop(80%, #282828)
  ); /* Chrome,Safari4+ */
  background: -webkit-linear-gradient(
    top,
    #141414 45%,
    #282828 80%
  ); /* Chrome10+,Safari5.1+ */
  background: -o-linear-gradient(
    top,
    #141414 45%,
    #282828 80%
  ); /* Opera 11.10+ */
  background: -ms-linear-gradient(top, #141414 45%, #282828 80%);                                                  /* IE10+ */
  background: linear-gradient(to bottom, #141414 45%, #282828 80%);                                                /* W3C */
  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#141414', endColorstr='#282828',GradientType=0 ); /* IE6-9 */
}


.rx-container:after {
  content: "";
  display: block;
  clear: both;
}

/* -------- term window -------- */

.tx-window {
  background-color: black;
  background-image: radial-gradient(rgba(0, 150, 0, 0.75), black 120%);
  height: 80px;
  width: 960px;
 overflow-y: scroll;
  padding: 2px;
  color: white;
  font: 14px Inconsolata, monospace;
  text-shadow: 0 0 5px #c8c8c8;
  &::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 600px;
    height: 320px;
    background: repeating-linear-gradient(
      0deg,
      rgba(black, 0.15),
      rgba(black, 0.15) 1px,
      transparent 1px,
      transparent 2px
    );
    pointer-events: none;
  }
}

.tx-window-pre {
  margin: 0;
}

.seachdisplay {
   position: relative;
  height: 60px;
  margin: 0 5px 6px 5px;
  padding: 0 8px;
  border-radius: 5px;
  box-shadow: inset 0 30px 1px rgba(255, 255, 255, 0.25),
    inset 0 -1px 2px rgba(255, 255, 255, 0.5),
    inset 0 2px 3px rgba(0, 0, 0, 0.4);
  font-size: 45px;
  line-height: 61px;
  text-align: center;
  white-space: nowrap;
  color: #333;
  cursor: default;
  text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.01);                                                                          /* for smoother rendering */
  background: #edefe0;                                                                                                /* Old browsers */
  background: -moz-linear-gradient(top, #edefe0 45%, #babea2 80%);                                                  /* FF3.6+ */
  background: -webkit-gradient(linear, left top, left bottom, color-stop(45%, #edefe0), color-stop(80%, #babea2));  /* Chrome,Safari4+ */
  background: -webkit-linear-gradient(top,#edefe0 45%,#babea2 80%);                                                 /* Chrome10+,Safari5.1+ */
  background: -o-linear-gradient(top,#edefe0 45%,#babea2 80%);                                                      /* Opera 11.10+ */
  background: -ms-linear-gradient(top, #edefe0 45%, #babea2 80%);                                                   /* IE10+ */
  background: linear-gradient(to bottom, #edefe0 45%, #babea2 80%);                                                 /* W3C */
  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#edefe0', endColorstr='#babea2',GradientType=0 );  /* IE6-9 */
}

       .horizontal-slider {
            display: flex;
            justify-content: center;
            align-items: center;
            margin: 20px;
            width: 250px;
            height: 50px;
            background: #353434;
            position: relative;
        }
        .horizontal-fader-track {
            width: 100%;
            height: 25px;
            background: linear-gradient(to right, #ff0000 0%, #0000ff 100%);
            position: relative;
        }
        
        .horizontal-fader-track::before {
  content: '';
  position: absolute;
  top: 0;
  left: 50%;
  width: 2px;
  height: 100%;
  background-color: red;
  transform: translateX(-50%);
}
        .horizontal-fader {
            width: 60px;
            height: 25px;
            background: linear-gradient(to right, rgba(14, 14, 14, 1) 0%, rgba(79, 79, 79, 1) 5%, rgba(79, 79, 79, 1) 5%, rgba(79, 79, 79, 1) 10%, rgba(14, 14, 14, 1) 25%, rgba(22, 22, 22, 1) 34%, rgba(22, 22, 22, 1) 34%, rgba(79, 79, 79, 1) 73%, rgba(79, 79, 79, 1) 75%, rgba(14, 14, 14, 1) 100%);
            position: absolute;
            left: 0; /* Ajustamos el punto inicial */
            cursor: pointer;
        }
        .center-indicator {
            position: absolute;
            top: 50%;
            left: 50%;
            width: 8px;
            height: 8px;
            background-color: green;
            border-radius: 50%;
            transform: translate(-50%, -50%);
            visibility: hidden; /* Por defecto, no se muestra */
        }
        .horizontal-fader.center .center-indicator {
            visibility: visible; /* Se muestra cuando el fader está en el centro */
        }